@font-face {
    font-family: 'Matemasie';
    src: url('../fonts/matemasie.ttf') format('truetype');
}

@font-face {
    font-family: 'Caveat';
    src: url('../fonts/caveat/caveat_regular.ttf') format('truetype');
}

html {
    width: 100%;
    height: 100vh;
    overflow-x: hidden;
}

body {
    background-color: #0d191fff;
    margin: 0;
    font-family: "Caveat", sans-serif;

    height: 100%;
    min-height: 760px;
    position: relative;
    overflow: hidden;
}

header,
footer {
    background-color: #082129ff;
    height: 70px;
    z-index: 5;
    position: relative;
}

footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}

footer img {
    height: 186px;
    width: 30px;
    transform: rotate(90deg);
}

footer span {
    color: #c0bdc4;
    position: absolute;
    font-size: 24px;
    cursor: pointer;
    transition: scale 125ms ease-in-out;
}

footer span:hover {
    scale: 1.1;
}

header {
    font-family: "Matemasie", sans-serif;
    display: flex;
    align-items: center;
    padding-left: calc((100% - 1488px) / 2);
    padding-right: calc((100% - 1488px) / 2);
    position: relative;
}

header span {
    color: #efedf2ff;
    font-size: 18px;
    margin-left: 4vw;
    margin-top: 4px;
}

#pokemonSearch {
    color: #c0bdc4;
    width: 96px;
    padding: 0px 18px;
    border: none;
    border-radius: 6px;
    font-size: 13px;
    outline: none;
    height: 32px;
    background-color: transparent;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 1), -1px -1px 6px rgba(255, 255, 255, 0.4);
}

#pokemonSearch:focus {

    border: 2px solid transparent;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 1),
        -1px -1px 6px rgba(255, 255, 255, 0.4),
        inset 3px 3px 10px rgba(0, 0, 0, 1),
        inset -1px -1px 6px rgba(255, 255, 255, 0.4);
    color: whitesmoke;
}

.input-div {
    position: absolute;
    top: 20px;
    right: 4vw;
}

.main-content-inside {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.s1 {
    width: 100vw;
    transform: translateY(-7px);
}

.hide-pokemon {
    top: -18px;
    /* height: -webkit-fill-available; */
    height: 100%;
    width: 100%;
    background: #0d191fff;
    position: absolute;
    opacity: 0;
    transition: opacity 3s ease-in-out;
    z-index: 2;

    -webkit-tap-highlight-color: transparent;
}

.hide-main-content {
    /* opacity: 0; */
    height: 666px;
    position: absolute;
    background: #0d191fff;
    transition: opacity 3s ease-in-out;
    width: 100%;
    z-index: 5;
}

.carousel-div {
    width: 100%;
    height: 308px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top: 1px solid #0e6a0899;
    border-bottom: 1px solid #0e6a0899;
}

.separator {
    width: 100%;
    height: 80px;
    background-color: #082129ff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.display-none {
    display: none;
}

